dsc(1)

NAME
dsc - DNS Statistics Collector

SYNOPSIS
dsc [ -dfpmiTv ] dsc.conf

DESCRIPTION
DNS Statistics Collector (dsc) is a tool used for collecting and exploring statistics from busy DNS servers. It can be set up to run on or near nameservers to generate aggregated data that can then be transported to central systems for processing, displaying and archiving. Together with dsc-datatool the aggregated data can be furthur enriched and converted for import into for example InfluxDB which can then be accessed by Grafana for visualzation, see this wiki on how to set up that:
    https://codeberg.org/DNS-OARC/dsc-datatool/wiki/Setting-up-a-test-Grafana
dsc will chroot to a directory on startup and output statistics into files in various formats. See dsc.conf(5) on how to configure dsc, what formats exists, their structure and output filenames.

OPTIONS

-d  Debug mode. Exits after first write.

-f  Foreground mode. Don't become a daemon.

-p  Don't put interface in promiscuous mode.

-m  Enable monitor mode on interfaces.

-i  Enable immediate mode on interfaces.

-T  Disable the usage of threads.

-D  Don't exit after first write when in debug mode.

-v  Print version and exit.

FILES

@etcdir@/dsc.conf
    Default configuration file for dsc

SEE ALSO
dsc.conf(5), dsc-datatool(1)

AUTHORS
Jerry Lundström, DNS-OARC
Duane Wessels, Measurement Factory / Verisign
Ken Keys, Cooperative Association for Internet Data Analysis
Sebastian Castro, New Zealand Registry Services

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

KNOWN ISSUES
This program and/or components uses select(2) to wait for packets and there may be an internal delay within that call during startup that results in missed packets. As a workaround, set pcap_thread_timeout ( see dsc.conf(5) ) to a relevant millisecond timeout with regards to the queries per second (QPS) received. For example if your receiving 10 QPS then you have 20 packets per second (PPS) and if spread out equally over a second you have a packet per 50 ms which you can use as timeout value. Since version 2.4.0 the default is 100 ms.

BUGS
For issues and feature requests please use:

    @PACKAGE_URL@

For question and help please use:

    @PACKAGE_BUGREPORT@